Subject: Re: Git private branch Feature Suggestion

From: Henrique Soares <[email-masked]>
Date: Wed, 10 Sep 2025 21:13:24 -0300

On Thu, Sep 11, 2025 at 02:28:54AM +0300, ynckz wrote:
> I have a request for you. Could you please add private branches? This
> is a really useful thing.

Any branch created locally is private by default.
Just don't push it to the remote origin and nobody will have access to it.

> Imagine that you want to publish your project as open source, but you
> need to hide the .env file in a separate repository. It's easier to do
> everything in one repository, but in a different branch. Maybe there
> is another way, and I'm just dumb as fuck, but here's another example:

If you need to share the .env file to few people, but not to everyone,
then use a submodule.

-- Henrique